summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--libre/iceweasel-libre/PKGBUILD10
1 files changed, 5 insertions, 5 deletions
diff --git a/libre/iceweasel-libre/PKGBUILD b/libre/iceweasel-libre/PKGBUILD
index 305da3c9e..0ed8d24ee 100644
--- a/libre/iceweasel-libre/PKGBUILD
+++ b/libre/iceweasel-libre/PKGBUILD
@@ -91,6 +91,11 @@ prepare() {
patch -Np1 -i "$srcdir/Bug-756390-Make-the-Reset-Firefox-feature-more-gener.patch" # Adding fixed Bug-756390-Make-the-Reset-Firefox-feature-more-gener.patch
patch -Np1 -i "$srcdir/iceweasel-install-dir.patch" # install to /usr/lib/$_pkgname
+ # Patch and remove anything that's left
+ patch -Np1 -i "$srcdir/libre.patch"
+ rm -v browser/base/content/abouthome/snippet*.png || true
+ sed -i "\|abouthome/snippet|d" browser/base/jar.mn
+
# Replace common URLs
sed '/^#/d' ../replace-urls.txt | while read -r moz_url gnu_url; do
if [[ -n $moz_url ]]; then
@@ -102,11 +107,6 @@ prepare() {
fi
done
- # Patch and remove anything that's left
- patch -Np1 -i "$srcdir/libre.patch"
- rm -v browser/base/content/abouthome/snippet*.png || true
- sed -i "\|abouthome/snippet|d" browser/base/jar.mn
-
cp "$srcdir/mozconfig" .mozconfig # Load our build config, disable SafeSearch
if $_pgo; then